/*************************************************************
** filename:    fig_cs2dim.g
** description: plots confidence set, hpd set, and identified set
*************************************************************/

new;
closeall;
/********************************************************
* House cleaning and set defaults
********************************************************/
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

/** Global defaults **/
_verbose = 1;       /** 1 for verbose **/

#include game_spec.g;
#include pathspec.g;

dirstr = "\\mhrun1\\";

/********************************************************
**  Load Upper and lower bounds of sets 
********************************************************/

linput       = resupath $+ dirstr $+ "IDS2dim"  ;
open fhinput = ^linput for read;
IDS_mat      = readr( fhinput, 3); 
IDS_mat      = IDS_mat';
closeall fhinput;

linput       = resupath $+ dirstr $+ "HPD2dim60"  ;
open fhinput = ^linput for read;
HPD60_mat    = readr( fhinput, 3); 
HPD60_mat    = HPD60_mat';
closeall fhinput;

linput       = resupath $+ dirstr $+ "HPD2dim90"  ;
open fhinput = ^linput for read;
HPD90_mat      = readr( fhinput, 3); 
HPD90_mat      = HPD90_mat';
closeall fhinput;

/********************************************************
* Generate Plots
********************************************************/

graphset;
begwind;
margin(0.2,0.2,0.2,0.2); 

window(1,1,0);
fonts("microb");
_plwidth = 8;
_psymsiz = 3;
_plctrl = -1;
_plctrl =  0;
_ptitlht = 0.3;
_paxht = 0.3;
_pnumht = 0.3;

xlabel("Beta 1");
ylabel("Gamma 1");

xtics(0,2,0.5,1);
ytics(0,2,0.5,1);

_pcolor = {2 2};
_pltype = {6 6};

xy(IDS_mat[.,1],IDS_mat[.,2:3]);

_pcolor = {4 4};
_pltype = {3 3};

xy(HPD60_mat[.,1],HPD60_mat[.,2:3]);

_pcolor = {1 1};
_pltype = {1 1};

xy(HPD90_mat[.,1],HPD90_mat[.,2:3]);

endwind;

end;
