/********************************************************************
*  Model Specification and Global Setting
*
*  Last updated: 05/31/2005
********************************************************************/
dlibrary -a PszTgSen,PsdTgSen;

msel = zeros(2,1);

msel[1] = 1;
msel[2] = 2;
datasel = 1;
subT    = 2;
mprior  = 2;

/************************************************
*  MSEL[1]:
*   1 baseline model
************************************************/
lmodel = "m" $+ ftos(msel[1],"%*.*lf",1,0);

/************************************************
*  MSEL[2]:
*   1 estimate phi from random sample
*   2 set phi-hat = phi0
************************************************/
lmodel = lmodel $+ ftos(msel[2],"%*.*lf",1,0);

/************************************************
*  DATASEL
*   i use i'th set of parameters for DGP
************************************************/
dataselstr = "d" $+ ftos(datasel,"%*.*lf",1,0);

/************************************************
*  subT
*
*  for simulated data
*     1 for 100 observations
*     2 for 1000
*
************************************************/
Tsim = 100 | 1000;
nobs = Tsim[subT];
subTstr = "t" $+ ftos(subT,"%*.*lf",1,0);

/************************************************
*  mprior
************************************************/
lprior = "p" $+ ftos(mprior,"%*.*lf",1,0);

/************************************************
*  Some global constants
************************************************/

ntheta_ = 4; /* structural parameters */
nalpha_ = 2; /* auxiliary parameters */
nphi_   = 4; /* reduced form parameters */
nadd_   = 1; /* additional parameter: alp = f(alp1,alp2) */
ndgp_   = ntheta_+nalpha_;

paranames_ =  "Beta 1"   $| "Delta 1"
           $| "Beta 2"   $| "Delta 2"
           $| "Alpha 1"  $| "Alpha 2"
           $| "P00 "   $| "P10 " 
           $| "P01 "   $| "P11 " 
           $| "Alpha " ;
           
